Bug 1022845 - binutils: nm -D does not process subsequent files after "No symbols".
binutils: nm -D does not process subsequent files after "No symbols".
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 03:12 EDT by Tetsuo Handa
Modified: 2015-02-18 06:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:37:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tetsuo Handa 2013-10-24 03:12:50 EDT
Description of problem:

While /usr/bin/nm accepts multiple files, running /usr/bin/nm with -D
option does not work as expected. It terminates as soon as printing
"No symbols" rather than continuing with subsequent files.

This bug prevents us from using /usr/bin/nm with /bin/find + /usr/bin/xargs like

  # find / -type f -perm +100 -print0 | xargs -0 nm -A -D | grep symbol_to_search

.

Version-Release number of selected component (if applicable):

RHEL 6: binutils-2.20.51.0.2-5.36.el6.x86_64
Fedora 19: binutils-2.23.52.0.1-8.fc19.x86_64

How reproducible:

Always

Steps to Reproduce:

Run nm -D with a file which result in "No symbols" and
a file which does not result in "No symbols".

Actual results:

(On RHEL 6.4)

  [root@localhost ~]# nm -D /boot/efi/EFI/redhat/grub.efi /lib64/libc-2.12.so

  /boot/efi/EFI/redhat/grub.efi:
  nm: /boot/efi/EFI/redhat/grub.efi: No symbols
  [root@localhost ~]# nm -D /lib64/libc-2.12.so /boot/efi/EFI/redhat/grub.efi

  /lib64/libc-2.12.so:
  0000000000000000 A GLIBC_2.10
  0000000000000000 A GLIBC_2.11
  0000000000000000 A GLIBC_2.12
  (...snipped...)
  0000003574d15190 T xprt_register
  0000003574d15000 T xprt_unregister

  /boot/efi/EFI/redhat/grub.efi:
  nm: /boot/efi/EFI/redhat/grub.efi: No symbols
  [root@localhost ~]#

(On Fedora 19)

  [root@localhost ~]# nm -D /boot/efi/EFI/fedora/gcdx64.efi /lib64/libc-2.17.so
  
  /boot/efi/EFI/fedora/gcdx64.efi:
  nm: /boot/efi/EFI/fedora/gcdx64.efi: No symbols
  [root@localhost ~]# nm -D /lib64/libc-2.17.so /boot/efi/EFI/fedora/gcdx64.efi
  
  /lib64/libc-2.17.so:
  0000000000042d90 T a64l
  0000000000036de0 T abort
  00000000003bae20 B __abort_msg
  (...snipped...)
  00000000000e6060 T __xstat
  00000000000e6060 T __xstat64
  
  /boot/efi/EFI/fedora/gcdx64.efi:
  nm: /boot/efi/EFI/fedora/gcdx64.efi: No symbols
  [root@localhost ~]# 

Expected results:

All files are processed and reported.
Comment 1 Nick Clifton 2013-10-24 07:20:55 EDT
Hi Tetsuo-san,

  Please try binutils-2.23.52.0.1-12.fc19.  This contains a patch which should resolve the problem.

  Note - I have not applied the patch to rawhide.  I am hoping to get the patch into the FSF binutils 2.24 branch today, which will then be brought into rawhide tomorrow.

Cheers
  Nick
Comment 2 Tetsuo Handa 2013-10-24 09:10:20 EDT
Excuse me, but where can I find binutils-2.23.52.0.1-12.fc19 rpm?

# yum --enablerepo="updates-testing" update

does not show that version.
Comment 3 Nick Clifton 2013-10-24 11:34:16 EDT
Hi Tetsuo-san

  I have not pushed it out to the repository yet.  I could do that if you wish or you could try downloading it directly from:

https://koji.fedoraproject.org/koji/buildinfo?buildID=473459

Cheers
  Nick
Comment 4 Tetsuo Handa 2013-10-24 17:27:09 EDT
Hello.

> Please try binutils-2.23.52.0.1-12.fc19.  This contains a patch which should
> resolve the problem.

Yes, that version fixes this bug.

Thank you for immediate action.
Comment 5 Fedora End Of Life 2015-01-09 17:20:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:37:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.